## binutils-djgpp 1.4

=== debian/changelog ===
binutils-djgpp (1.4) unstable; urgency=medium

  * Apply the DJGPP binutils patches. Thanks to J.W. Jagersma for
    reminding me that these are necessary!

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Feb 2020 09:37:55 +0100

binutils-djgpp (1.3) unstable; urgency=medium

  * Declare the symlinks the right way round...

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Feb 2020 21:30:49 +0100

binutils-djgpp (1.2) unstable; urgency=medium

  * Target i386 rather than i586 (and provide symlinks for compatibility
    with third-party scripts and tools).
  * Drop unused Lintian override.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Feb 2020 21:18:07 +0100

binutils-djgpp (1.1) unstable; urgency=medium

  * Apply the binutils-mingw-w64 fix for build/host confusion.
  * Copy binutils-mingw-w64’s spelling check.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Oct 2019 18:39:19 +0200

binutils-djgpp (1) unstable; urgency=medium

  * Initial packaging based on binutils-mingw-w64. Closes: #935803.

 -- Stephen Kitt <skitt@debian.org>  Mon, 26 Aug 2019 13:50:43 +0200
