=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright © 2010-2019 Stephen Kitt <skitt@debian.org>
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/>.

# Disable package mangling in Launchpad; it currently fails to parse
# Built-Using, which results in build failures
export NO_PKG_MANGLE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

top_dir := $(shell pwd)
binutils_dir := /usr/src/binutils
upstream_dir := $(top_dir)/upstream
build_dir := $(top_dir)/build
source_version := $(shell dpkg-query -W -f="\$${Version}\n" binutils-source)
deb_version := $(source_version)+$(DEB_VERSION)
deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)

target := i386-pc-msdosdjgpp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without autoreconf

spelling = grep -rl '$(1)' $(upstream_dir) | xargs sed -i 's/$(1)/$(2)/g' 2>/dev/null || echo '*** Misspelling "$(1)" not found. ***'

unpack: unpack-stamp
unpack-stamp:
	tar xf $(binutils_dir)/binutils-$(gnu_upstream_version).tar.*
	rm -rf $(upstream_dir)
	mv binutils-* $(upstream_dir)
# Revert the ldscripts location patch so we avoid conflicting with binutils
	patch -d $(upstream_dir) -R -p1 < /usr/src/binutils/patches/001_ld_makefile_patch.patch
# Apply our patches
	QUILT_SERIES=debian/patches/series QUILT_PATCHES=debian/patches quilt push -a
# Spelling fixes
	@$(call spelling,allows to,allows one to)
	@$(call spelling,auxilary,auxiliary)
	@$(call spelling,auxillary,auxiliary)
	@$(call spelling,complier,compiler)
	@$(call spelling,debuging,debugging)
	@$(call spelling,maching,matching)
	@$(call spelling,microprocesspr,microprocessor)
	@$(call spelling,preceeded,preceded)
	@$(call spelling,refered,referred)
	@$(call spelling,supressed,suppressed)
	@$(call spelling,targetted,targeted)
# Fix DJGPP tests
	grep -rFl 'file format .*i386.*' upstream | xargs -r sed -i 's/file format \.\*i386\.\*/file format .*(i386|coff-go32).*/'
	touch $@

override_dh_clean:
	dh_clean
	rm -rf .pc *-stamp $(build_dir) $(upstream_dir)

# Unpack before autotools
override_dh_update_autotools_config: unpack-stamp
	dh_update_autotools_config

override_dh_auto_configure:
	mkdir -p $(build_dir)/$(target) && cd $(build_dir)/$(target) && $(upstream_dir)/configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --disable-silent-rules --libdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --libexecdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --disable-maintainer-mode --disable-dependency-tracking --disable-multilib --enable-lto --enable-plugins --enable-deterministic-archives --with-system-zlib --target=$(target) --disable-werror

override_dh_auto_build-arch:
	dh_auto_build --parallel -B$(build_dir)/$(target)

override_dh_auto_test-arch:
	set -e; \
	unset CFLAGS CPPFLAGS LDFLAGS; \
	env > $(build_dir)/env; \
	dh_auto_test -B$(build_dir)/$(target)

override_dh_auto_install-arch:
	dh_auto_install -B$(build_dir)/$(target)

# Drop files which will conflict with other packages
	rm -rf debian/binutils-djgpp/usr/lib/*.a
	rm -rf debian/binutils-djgpp/usr/share/info
	rm -rf debian/binutils-djgpp/usr/share/locale

# Drop files we don’t need
	rm -f debian/binutils-djgpp/usr/share/man/man1/*-dlltool.1* \
	      debian/binutils-djgpp/usr/share/man/man1/*-wind*.1*

override_dh_install-arch:
	dh_install -a

# Symlink duplicates — see https://wiki.debian.org/dedup.debian.net
# We remove hardlinks too, otherwise one of the ld hardlinks is left alone and
# isn't symlinked
	rdfind -outputname /dev/null -removeidentinode false -makesymlinks true debian/binutils-djgpp
	symlinks -r -s -c debian/binutils-djgpp

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_dir)/ChangeLog

override_dh_gencontrol:
	dh_gencontrol -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vbinutils:Version=$(source_version)

override_dh_missing:
	dh_missing --list-missing
