## binutils-djgpp 2.34+dfsg

=== debian/changelog ===
binutils-djgpp (2.34+dfsg-1) unstable; urgency=medium

  * Add debian/watch and convert debian/copyright to machine-readable
    format to prepare for switch to native packaging.
  * Switch to a non-native package with a separate copy of the source
    code, to avoid tying the package to the main Debian binutils’
    package’s cadence; the DJGPP patches are updated more slowly.
    This means we no longer need to patch binutils-source.
    Closes: #964604.
  * Lintian: rename “manpage-has-errors-from-man” to “groff-message”.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Sep 2020 22:32:12 +0200
