=== debian/watch ===
version=4
opts="uversionmangle=s%(\d)(\d+)%$1.$2%,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,filenamemangle=s%bnu(\d)(\d+)s.zip%binutils-djgpp_$1.$2.zip%" \
  http://ftp.delorie.com/pub/djgpp/current/v2gnu/ \
  bnu([\d]+)s\.zip debian uupdate
