## binutils-djgpp 2.35.1+dfsg

=== debian/changelog ===
binutils-djgpp (2.35.1+dfsg-2) unstable; urgency=medium

  [ Stephen Kitt ]
  * Remove the obsolete README.source.
  * Strip the remote path in debian/watch.
  * Update the DJGPP stub to the version used by DJGPP 2.05’s stubify,
    with the empty environment patch applied (see
    https://github.com/jwt27/djgpp-cvs/commit/da81e265d6dd).
  * Update Lintian overrides.
  * Standards-Version 4.6.1, no change required.

  [ Debian Janitor ]
  * Drop unnecessary dh arguments: --parallel

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Nov 2022 20:16:01 +0100

binutils-djgpp (2.35.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to account for three-component version numbers.

 -- Stephen Kitt <skitt@debian.org>  Thu, 21 Jan 2021 18:10:59 +0100
