=== debian/control ===
Source: binutils-djgpp
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               bison,
               dejagnu,
               flex,
               quilt,
               rdfind,
               symlinks,
               texinfo,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/djgpp-team/binutils-djgpp
Vcs-Git: https://salsa.debian.org/djgpp-team/binutils-djgpp.git
Homepage: https://www.gnu.org/software/binutils/
Rules-Requires-Root: no

Package: binutils-djgpp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Cross-binutils for DOS using DJGPP
 DJGPP provides a development and runtime environment for 32-bit DOS
 applications using a specific C library and the GNU Compiler
 Collection (gcc).
 .
 This package contains the toolchain binutils targeting 32-bit DOS.
